﻿@model ToDoList.ViewModels.TaskViewModel

@{
    ViewBag.Title = "Главная";
}

<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h2 class="float-left">Список задач</h2>
        </div>
        <div class="col-md-6">
            <p class="float-right info-style">@Model.ActiveTasksCount осталось сделать, @Model.DoneTasksCount выполнено</p>
        </div>
    </div>

    @using (Html.BeginForm("Index", "Task"))
    {
        <div class="row">

            <div class="col remove-right-padding"> 
                <input class="form-control full-width-element" type="text" name="searchString" placeholder="Введите для поиска..."  value="@(string.IsNullOrEmpty(Model.SearchText)? string.Empty : Model.SearchText)">
            </div>
            <div class="col-md-auto padding-left-5">
                <button type="submit" class="btn btn-info">Найти</button>
            </div>
            <div class="col-md-auto">
                <div class="btn-group float-right" role="group" aria-label="Basic example">
                    <button type="button" class="btn @(Model.OnlyActive || Model.OnlyDone || !string.IsNullOrEmpty(Model.SearchText) ? "border-secondary" : "btn-info")" onclick="location.href = '@Url.Action("Index", "Task")'">Все</button>
                    <button type="button" class="btn @(Model.OnlyActive ? "btn-info" : "border-secondary")" onclick="location.href = '@Url.Action("Index", "Task", new {onlyActive = true})'">Активные</button>
                    <button type="button" class="btn @(Model.OnlyDone ? "btn-info" : "border-secondary")" onclick="location.href = '@Url.Action("Index", "Task", new {onlyDone = true})'">Выполнено</button>
                </div>
            </div>
        </div>
    }

    <div class="row mt-3">
        <div class="col-md-12">
            <div class="list-group">
                @if (Model?.Tasks != null && Model.Tasks.Any())
                {
                    foreach (var task in Model.Tasks)
                    {
                        <a class="list-group-item clearfix list-item" id="taskItem">
                            <div class="row">
                                <div class="col align-self-center">
                                    <span  class="align-middle ml-2">@task.Name</span>
                                </div>
                                <div class="col-md-auto">
                                    <span class="float-right mr-2">
                                        <button type="button" class="btn border-danger icon-button" title="Удалить" style="color: #DC3545;"
                                                onclick="location.href = '@Url.Action("Delete", "Task", new {id = task.Id})'">
                                            <span class="fa fa-trash-o" aria-hidden="true"></span>
                                        </button>
                                        <button type="button" class="btn border-success icon-button" title="@(task.IsImportant ? "Убрать из важного" : "Пометить как важное")" style="color: @(task.IsImportant ? "#DC3545" : "#28A745");"
                                                onclick="location.href = '@Url.Action("MarkAsImportant", "Task", new {id = task.Id})'">
                                            <span class="fa fa-exclamation" aria-hidden="true"></span>
                                        </button>

                                        <button type="button" class="btn border-primary icon-button" title="@(task.IsDone ? "Уже выполнено" : "Пометить как выполненное")" style="color: #007BFF;"
                                                onclick="location.href = '@Url.Action("MarkAsDone", "Task", new {id = task.Id})'" @(task.IsDone ? "disabled" : string.Empty)>
                                            <span class="fa fa-check" aria-hidden="true"></span>
                                        </button>
                                    </span>
                                </div>
                            </div>
                        </a>
                    }
                }
            </div>
        </div>
    </div>

    @using (Html.BeginForm("New", "Task"))
    {
        <div class="row mt-3">
            <div class="col remove-right-padding">
                <input class="form-control full-width-element" type="text" name="taskName" id="taskname" placeholder="Что необходимо сделать?">
            </div>
            <div class="col-md-auto">
                <button type="submit" class="btn btn-info" id="addTaskButton">Добавить</button>
            </div>
        </div>
    }

</div>
